<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	class MstRequest
	{
		
		public static function getArray($name, $default=array()){
			return JFactory::getApplication()->input->get($name, $default, 'ARRAY');
		}
		
		public static function getInt($name, $default=0){
			return JFactory::getApplication()->input->get($name, $default, 'INT');
		}
				
		public static function getRawStr($name, $default=''){
			return JFactory::getApplication()->input->get($name, $default, 'HTML');
		}
				
		public static function getStr($name, $default=''){
			return JFactory::getApplication()->input->get($name, $default, 'STRING');
		}
		
		public static function getPost(){
			return JFactory::getApplication()->input->getArray($_POST);
		}

        public static function stripPasswordInfo($arr){
            $replaceStr = '*** password hidden ***';
            if(is_array($arr)){
                if(array_key_exists('password', $arr)){
                    $arr['password'] = $replaceStr;
                }
            }elseif(is_object($arr)){
                if(property_exists($arr, 'password')){
                    $arr->password = $replaceStr;
                }
            }
            return $arr;
        }

	
	}
?>
