<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

defined('_JEXEC') or die('Restricted access');

class MstJUserUtils
{
	
	public static function getUser($userId){
		$db = JFactory::getDBO();
		$query = 'SELECT * FROM #__users WHERE id=\'' . $userId . '\''; // load from core users
		$db->setQuery( $query );
		$user = $db->loadObject();
		return $user;
	}
	
	public static function getAllUsers($nameAndIdOnly=false){
		$db = JFactory::getDBO();
		$select = '*';
		if($nameAndIdOnly){
			$select = 'id, name';
		}
		$query = 'SELECT '.$select.' FROM #__users WHERE block=\'0\' ORDER BY name, id';
		$db->setQuery( $query );
		$users = $db->loadObjectList();
		return $users;
	}

    public static function getUsersGroupsMap($userId){
        $db = JFactory::getDBO();
        $query = 'SELECT * FROM #__user_usergroup_map WHERE user_id=\'' . $userId . '\'';
        $db->setQuery( $query );
        $map = $db->loadObjectList();
        return $map;
    }
}
