<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined('_JEXEC') or die('Restricted access');

	/**
	 * Digests Model class
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class mailster_digests extends JTable
	{
		var $id 					= null;
		var $list_id				= null;	
		var $user_id				= null;	
		var $is_joomla_user			= null;	
		var $digest_freq			= null;	
		var $last_send_date			= null;	
		var $next_send_date			= null;	
		
		function mailster_digests(&$db) {
			parent::__construct('#__mailster_digests', 'id', $db);
		}
		
		function check(){
			
			if ( $this->list_id == '' || $this->list_id <= 0) {
				$this->_error = JText::_( 'COM_MAILSTER_NO_LIST_PROVIDED_DIGEST_CAN_NOT_BE_SAVED' );
				JError::raiseWarning('NO DIGEST MAILING LIST SPECIFIED', $this->_error );
				return false;
			}
			if ( $this->user_id == '' || $this->user_id == 0) {
				$this->_error = JText::_( 'COM_MAILSTER_NO_USER_PROVIDED_DIGEST_CAN_NOT_BE_SAVED' );
				JError::raiseWarning('NO DIGEST USER SPECIFIED', $this->_error );
				return false;
			}
			
			return true;
		}
	}
?>
