<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );
	$mstUtils = MstFactory::getUtils();
	$mstUtils->loadJavascript();
	global $mstOverwriteViewACL;
?>
	<form action="index.php" method="post" name="adminForm" id="adminForm">
		<script type="text/javascript">
			var $j = jQuery.noConflict();
			$j(document).ready(
			function () {	
			});
			function validateSubmittedForm(task){
				var answer = true;
				<?php
					 echo "if(task == 'remove'){ answer = confirm('".JText::_('COM_MAILSTER_ARE_YOU_SURE_YOU_WANT_TO_DELETE_THIS_ITEM')."'); }";
				?>
				if(answer){
					submitform( task ); // submit form
				}else{
					return false; // do not go ahead
				}
			}
			function submitbutton(task){
				validateSubmittedForm(task);
			}
			<?php
				echo 'Joomla.submitbutton = function(pressbutton) { validateSubmittedForm(pressbutton); };';
			?>
		</script>		
		<table class="adminlist table table-striped" cellspacing="1">
			<thead>
				<tr>
					<th width="5"><?php echo JText::_( 'COM_MAILSTER_NUM' ); ?></th>
					<th width="5"><input type="checkbox" name="toggle" value="" onClick="checkAllXT(this.checked, 'adminForm', <?php echo count( $this->rows ); ?>);" /></th>
					<th class="title"><?php echo JText::_( 'COM_MAILSTER_NAME' ); ?></th>	
					<th class="title"><?php echo JText::_( 'COM_MAILSTER_EMAIL' ); ?></th>	
					<th class="title"><?php echo JText::_( 'COM_MAILSTER_MAILING_LIST' ); ?></th>	
					<th width="200"><?php echo JText::_( 'COM_MAILSTER_DIGEST_FREQUENCY' ); ?></th>	
					<th width="200"><?php echo JText::_( 'COM_MAILSTER_DIGEST_QUEUE' ); ?></th>
					<th width="1%" nowrap="nowrap"><?php echo JText::_( 'COM_MAILSTER_JID' ); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				$k=0;
				for($i=0, $n=count( $this->rows ); $i < $n; $i++) {
					$row = &$this->rows[$i];
					$digestLink = 'index.php?option=com_mailster&controller=digests&task=edit&id='.$row->id;
					$checked 	= '<input type="checkbox" onclick="isChecked(this.checked);" value="' . $row->id . '" name="cid[]" id="cb' . $i . '">';
					$canEditDigest = MstFactory::getAuthorization()->isAllowed('core.edit', $row->list_id) || $mstOverwriteViewACL;
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td><?php echo ($i+1); ?></td>
					<td><?php echo $checked; ?></td>
					<td>
						<span class="editlinktip hasTip" title="<?php echo JText::_( 'COM_MAILSTER_EDIT_DIGEST' );?>: <?php echo $row->user->name; ?>">
							<?php if($canEditDigest):?><a href="<?php echo $digestLink; ?>"><?php endif; ?><?php echo $row->user->name; ?><?php if($canEditDigest):?></a><?php endif; ?>
						</span>
					</td>
					<td>
						<span class="editlinktip hasTip" title="<?php echo JText::_( 'COM_MAILSTER_EDIT_DIGEST' );?>: <?php echo $row->user->name; ?>">
							<?php if($canEditDigest):?><a href="<?php echo $digestLink; ?>"><?php endif; ?><?php echo $row->user->email; ?><?php if($canEditDigest):?></a><?php endif; ?>
						</span>
					</td>
					<td><?php echo $row->list->name; ?></td>
					<td><?php echo $row->digestFreqStr; ?></td>
					<td><?php echo $row->mailsInQueue; ?></td>	
					<td align="center" class="center"><?php echo $row->id; ?></td>
				</tr>
				<?php
				$k = 1 - $k; 
				} ?>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="8">&nbsp;</td>
				</tr>
			</tfoot>
		</table>
			
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_mailster" />
		<input type="hidden" name="view" value="digests" />
		<input type="hidden" name="controller" value="digests" />
		<input type="hidden" name="task" id="task" value="" />
	</form>