<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
?>	
<div style="display: none; padding-left:20px; padding-top:5px;" id="seventh" class="tabDiv">				
	<table class="adminform tabContentTbl">
		<tr>
			<td width="150px">
				<label for="allow_subscribe">
					<?php echo JText::_( 'COM_MAILSTER_ALLOW_REGISTRATION_SUBSCRIPTION' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				echo JHTML::_('select.booleanlist', 
				'allow_subscribe', 
				'class="hTip" title="' . JText::_( 'COM_MAILSTER_ALLOW_REGISTRATION_SUBSCRIPTION_WITH_SUBSCRIBE_FORM' ) . '"', 
				$this->row->allow_subscribe );
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr class="public_registration_tbl_line">
			<td width="150px">
				<label id="public_registration-lbl" for="public_registration">
					<?php echo JText::_( 'COM_MAILSTER_PUBLIC_REGISTRATION_SUBSCRIPTION' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				echo JHTML::_('select.booleanlist', 
				'public_registration', 
				'class="hTip" title="' . JText::_( 'COM_MAILSTER_PUBLIC_REGISTRATION_SUBSCRIPTION_FOR_UNREGISTERED_USERS' ) . '"', 
				$this->row->public_registration );
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="190px">
				<label for="subscribe_mode">
					<?php echo JText::_( 'COM_MAILSTER_USE_DOUBLE_OPT_IN_FOR_SUBSCRIBE' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_DBL_OPT)){
					echo JHTML::_('select.booleanlist', 
					'subscribe_mode', 
					'class="hTip" title="' . JText::_( 'COM_MAILSTER_USE_DOUBLE_OPT_IN_FOR_SUBSCRIBE_SUBSCRIPTION_HAS_TO_BE_CONFIRMED_BY_SUBSCRIBER' ) . '"', 
					$this->row->subscribe_mode );
				}else{
					echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_USE_DOUBLE_OPT_IN_FOR_SUBSCRIBE_SUBSCRIPTION_HAS_TO_BE_CONFIRMED_BY_SUBSCRIBER' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_DBL_OPT) ) . '</span>';
				}
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px">
				<label for="welcome_msg">
					<?php echo JText::_( 'COM_MAILSTER_SEND_WELCOME_MESSAGE_TO_SUBSCRIBER' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				echo JHTML::_('select.booleanlist', 
				'welcome_msg', 
				'class="hTip" title="' . JText::_( 'COM_MAILSTER_SEND_WELCOME_MESSAGE_TO_SUBSCRIBER_ON_SUBSCRIPTION_NOT_WHEN_ADDED_THROUGH_ADMINISTRATORS' ) . '"', 
				$this->row->welcome_msg );
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr class="welcome_msg_admin_tbl_line">
			<td width="150px">
				<label for="welcome_msg_admin">
					<?php echo JText::_( 'COM_MAILSTER_SEND_WELCOME_MESSAGE_TO_SUBSCRIBER_ADDED_IN_BACKEND' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				echo JHTML::_('select.booleanlist', 
				'welcome_msg_admin', 
				'class="hTip" title="' . JText::_( 'COM_MAILSTER_SEND_WELCOME_MESSAGE_TO_SUBSCRIBER_ON_SUBSCRIPTION_WHEN_ADDED_THROUGH_ADMINISTRATORS_IN_BACKEND' ) . '"', 
				$this->row->welcome_msg_admin );
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>	
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td width="150px">
				<label for="allow_unsubscribe">
					<?php echo JText::_( 'COM_MAILSTER_ALLOW_UNSUBSCRIPTION' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				echo JHTML::_('select.booleanlist', 
				'allow_unsubscribe', 
				'class="hTip" title="' . JText::_( 'COM_MAILSTER_ALLOW_UNSUBSCRIPTION_WITH_UNSUBSCRIBE_FORM' ) . '"', 
				$this->row->allow_unsubscribe );
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="190px">
				<label for="unsubscribe_mode">
					<?php echo JText::_( 'COM_MAILSTER_USE_DOUBLE_OPT_IN_FOR_UNSUBSCRIBE' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
                if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_DBL_OPT)){
					echo JHTML::_('select.booleanlist', 
					'unsubscribe_mode', 
					'class="hTip" title="' . JText::_( 'COM_MAILSTER_USE_DOUBLE_OPT_IN_FOR_UNSUBSCRIBE_UNSUBSCRIPTION_HAS_TO_BE_CONFIRMED_BY_SUBSCRIBER' ) . '"', 
					$this->row->unsubscribe_mode );
				}else{
					echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_USE_DOUBLE_OPT_IN_FOR_UNSUBSCRIBE_UNSUBSCRIPTION_HAS_TO_BE_CONFIRMED_BY_SUBSCRIBER' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_DBL_OPT) ) . '</span>';
				}
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px">
				<label for="goodbye_msg">
					<?php echo JText::_( 'COM_MAILSTER_SEND_GOODBYE_MESSAGE_TO_UNSUBSCRIBER' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				echo JHTML::_('select.booleanlist', 
				'goodbye_msg', 
				'class="hTip" title="' . JText::_( 'COM_MAILSTER_SEND_GOODBYE_MESSAGE_TO_UNSUBSCRIBER_ON_UNSUBSCRIPTION_NOT_WHEN_REMOVED_THROUGH_ADMINISTRATORS' ) . '"', 
				$this->row->goodbye_msg );
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr class="goodbye_msg_admin_tbl_line">
			<td width="150px">
				<label for="goodbye_msg_admin">
					<?php echo JText::_( 'COM_MAILSTER_SEND_GOODBYE_MESSAGE_TO_UNSUBSCRIBER_REMOVED_IN_BACKEND' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				echo JHTML::_('select.booleanlist', 
				'goodbye_msg_admin', 
				'class="hTip" title="' . JText::_( 'COM_MAILSTER_SEND_GOODBYE_MESSAGE_TO_UNSUBSCRIBER_ON_UNSUBSCRIPTION_WHEN_REMOVED_THROUGH_ADMINISTRATORS_IN_BACKEND' ) . '"', 
				$this->row->goodbye_msg_admin );
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>	
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr class="allow_digests_tbl_line">
			<td width="150px">
				<label for="allow_digests">
					<?php echo JText::_( 'COM_MAILSTER_ALLOW_DIGESTS' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_DIGEST)){
					echo JHTML::_('select.booleanlist', 
					'allow_digests', 
					'class="hTip" title="' . JText::_( 'COM_MAILSTER_ALLOW_DIGESTS_ALLOW_SUBSCRIBERS_TO_RECEIVE_MAILS_IN_DIGESTS' ) . '"', 
					$this->row->allow_digests );
				}else{
					echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_ALLOW_DIGESTS_ALLOW_SUBSCRIBERS_TO_RECEIVE_MAILS_IN_DIGESTS' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_DIGEST) ) . '</span>';
				}
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>	
			<td colspan="3">&nbsp;</td>
		</tr>	
	</table>
</div>		
