<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
?>	
<div style="display: none; padding-left:20px; padding-top:5px;" id="eighth" class="tabDiv">				
	<table class="adminform tabContentTbl">
		<tr>
			<td width="150px">
				<label for="archive_mode">
					<?php echo JText::_( 'COM_MAILSTER_ARCHIVE_SENT_MAILS_DISABLED' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
				if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_D_ARCHIVE)){
					echo JHTML::_('select.booleanlist', 
					'archive_mode', 
					'class="hTip" title="' . JText::_( 'COM_MAILSTER_ARCHIVE_SENT_MAILS_DISABLED_MAIL_CONTENT_IS_NOT_STORED' ) . '"', 
					$this->row->archive_mode );
				}else{
						echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_ARCHIVE_SENT_MAILS_DISABLED_MAIL_CONTENT_IS_NOT_STORED' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_D_ARCHIVE) ) . '</span>';
				} ?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="150px">
				<label for="archive2article">
					<?php echo JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES' ).':'; ?>
				</label>
			</td>
			<td width="350px">
				<?php
                if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_EARCHIVE)){
					echo JHTML::_('select.booleanlist', 
					'archive2article', 
					'class="hTip" title="' . JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES_ALL_MAILS_CAN_BE_COPIED_DAILY_INTO_A_NEW_ARTICLE_AS_A_DIGEST' ) . '"', 
					$this->row->archive2article );
				}else{
						echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES_ALL_MAILS_CAN_BE_COPIED_DAILY_INTO_A_NEW_ARTICLE_AS_A_DIGEST' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_EARCHIVE) ) . '</span>';
				}
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td width="350px">
				<?php
                if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_EARCHIVE)){
					echo JText::_('COM_MAILSTER_AUTHOR').': '.$this->Lists['archive2article_author'];
				}else{
						echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES_AUTHOR_UNDER_WHICH_NAME_THE_ARTICLE_IS_PUBLISHED' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_EARCHIVE) ) . '</span>';
				}
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td width="350px">
				<?php
                if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_EARCHIVE)){
					echo JText::_('COM_MAILSTER_CATEGORY').': '.$this->Lists['archive2article_cat'];
				}else{
						echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES_CATEGORY_UNDER_WHICH_NAME_THE_ARTICLE_IS_PUBLISHED' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_EARCHIVE) ) . '</span>';
				}
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td width="350px">
				<?php
                if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_EARCHIVE)){
					echo JText::_('COM_MAILSTER_STATE').': '.$this->Lists['archive2article_state'];
				}else{
						echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_ARCHIVE_TO_DIGESTS_ARTICLES_STATE_OF_THE_ARTICLE' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_EARCHIVE) ) . '</span>';
				}
				?>
			</td>						
			<td>&nbsp;</td>
		</tr>
        <tr>
            <td width="150px">
                <label for="archive_offline">
                    <?php echo JText::_( 'COM_MAILSTER_OFFLINE_ARCHIVING' ).':'; ?>
                </label>
            </td>
            <td width="350px">
                <?php
                if(MstFactory::getV()->getFtSetting(MstVersionMgmt::MST_FT_ID_EARCHIVE)){
                    echo $this->Lists['archive_offline'];
                }else{
                    echo '<span class="hTip" title="'.JText::_( 'COM_MAILSTER_OFFLINE_ARCHIVING_THE_MESSAGES_IN_THE_EMAIL_ARCHIVE_CAN_BE_MOVED_TO_AN_OFFLINE_ARCHIVE_TO_CLEAN_UP_THE_LIVE_DATABASE_HOWEVER_THIS_MAKES_THEM_UNAVAILABLE_FOR_ACCESS_THROUGH_THE_FRONTEND_ARCHIVE' ).'">' . JText::sprintf( 'COM_MAILSTER_AVAILABLE_IN_X_EDITION', MstFactory::getV()->getMinV4Ft(MstVersionMgmt::MST_FT_ID_EARCHIVE) ) . '</span>';
                }
                ?>
            </td>
            <td>&nbsp;</td>
        </tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
	</table>
</div>		
