<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined( '_JEXEC' ) or die( 'Restricted access' );	
?>
<div style="display: none; padding-left:20px; padding-top:5px;" id="tenth" class="tabDiv">	
	<table class="adminform tabContentTbl">
		<tr>
			<td width="10px"><div tabindex="-1" id="getInboxStatusProgressIndicator" style="display:inline; margin:5px; padding-right:20px;min-height:30px;width:30px;">&nbsp;</div></td>
			<td colspan="1"><a id="getInboxStatus" href="#"><?php echo JText::_( 'COM_MAILSTER_RETRIEVE_INBOX_STATUS' ); ?></a></td>
			<td>
				<span class="hTipIB.tools_info_hTip" title="<?php echo JText::_( 'COM_MAILSTER_THIS_TAB_PRESENTS_VARIOUS_TOOLS_THAT_WORK_WITH_THE_MAILING_LIST_PLEASE_USE_THEM_CAREFUL_AND_READ_THE_DOCUMENTATION_FIRST' ); ?>">&nbsp;</span>
				<span id="tools_info_hTip" title="<?php echo JText::_( 'COM_MAILSTER_THIS_TAB_PRESENTS_VARIOUS_TOOLS_THAT_WORK_WITH_THE_MAILING_LIST_PLEASE_USE_THEM_CAREFUL_AND_READ_THE_DOCUMENTATION_FIRST' ); ?>"> <?php echo JText::_( 'COM_MAILSTER_TOOLS_INFORMATION' ); ?></span>
			</td>			
		</tr>
		<tr>
			<td width="10px"><div tabindex="-1" id="removeFirstMailLinkProgressIndicator" style="display:inline; margin:5px; padding-right:20px;min-height:30px;width:30px;">&nbsp;</div></td>
			<td colspan="1"><a id="removeFirstMailLink" href="#"><?php echo JText::_( 'COM_MAILSTER_REMOVE_FIRST_NEW_MAIL_IN_MAILBOX' ); ?></a></td>
			<td colspan="1">&nbsp;</td>
		</tr>
		<tr>
			<td width="10px"><div tabindex="-1" id="removeAllMailsLinkProgressIndicator" style="display:inline; margin:5px; padding-right:20px;min-height:30px;width:30px;">&nbsp;</div></td>
			<td colspan="1"><a id="removeAllMailsLink" href="#"><?php echo JText::_( 'COM_MAILSTER_REMOVE_ALL_NEW_MAILS_FROM_THE_MAILBOX' ); ?></a></td>
			<td colspan="1">&nbsp;</td>
		</tr>
		<tr>
			<td width="10px"><div tabindex="-1" id="removeAllMailsInSendQueueProgressIndicator" style="display:inline; margin:5px; padding-right:20px;min-height:30px;width:30px;">&nbsp;</div></td>
			<td colspan="1"><a id="removeAllMailsInSendQueue" href="#"><?php echo JText::_( 'COM_MAILSTER_REMOVE_ALL_MAILS_IN_THE_SEND_QUEUE' ); ?></a></td>
			<td colspan="1">&nbsp;</td>
		</tr>
		<?php 
		$listUtils = MstFactory::getMailingListUtils();
		if( ($this->row->id > 0) && ($listUtils->isListLocked($this->row->id)) ){
		?>
		<tr>
			<td width="10px"><div tabindex="-1" id="unlockMailingListProgressIndicator" style="display:inline; margin:5px; padding-right:20px;min-height:30px;width:30px;">&nbsp;</div></td>
			<td colspan="1"><a id="unlockMailingList" href="#"><?php echo JText::_( 'COM_MAILSTER_UNLOCK_MAILING_LIST' ); ?></a></td>
			<td colspan="1">&nbsp;</td>
		</tr>
		<?php 
		}
		?>
		<tr>
			<td width="10px">&nbsp;</td>
			<td colspan="2"><pre id="tool_info_display" style="font-family:Courier, monospace;"></pre></td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
	</table>
</div>
