<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined( '_JEXEC' ) or die( 'Restricted access' );
	$mstUtils = MstFactory::getUtils();
	$mstUtils->loadJavascript();
	$plgUtils = MstFactory::getPluginUtils();
	?>
<script type="text/javascript">
		var $j = jQuery.noConflict(); 
		$j(document).ready(
		function () {		

			$j('#initUserStateSyncBtn').click(function(){
				var forceNoDoubleOptIn = $j('input[name="force_no_double_opt_in"]:checked').val();
				var forceNoWelcomeGoodbyeMsg = $j('input[name="force_no_welcome_goodbye_msg"]:checked').val();
				var doSyncActionInReverse  = $j('input[name="do_sync_action_in_reverse"]:checked').val();
				var url = 'index.php?option=com_mailster&controller=sync&task=doInitUserStateSync&<?php echo MstConsts::PLUGIN_FLAG_NO_EXECUTION; ?>=true';	
				var data2send = '{ "task": "doInitUserStateSync", "forceNoDoubleOptIn": "'+forceNoDoubleOptIn+'", "forceNoWelcomeGoodbyeMsg": "'+forceNoWelcomeGoodbyeMsg+'", "doSyncActionInReverse": "'+doSyncActionInReverse+'"}';
				$j('#initLog1').html('');
				$j('#doUserStateInitSyncProgressIndicator').removeClass('mtrActivityIndicator').addClass('mtrActivityIndicator');	
			    $j.post(url, { mtrAjaxData: data2send },
				    function(resultData){
				         if(resultData){
					        var resultObject = eval(resultData)[0];
							if(resultObject.res == 'true'){
				       			$j('#doUserStateInitSyncProgressIndicator').removeClass('mtrActivityIndicator');	
				       			$j('#initLog1').html(resultObject.initLogText);	
							}
				         }else{
				        	 alert(<?php echo $mstUtils->jsonEncode(JText::_( 'COM_MAILSTER_COULD_NOT_COMPLETE_AJAX_REQUEST' )); ?>);	           
				         }
					}
				);
			});
			
			$j('#initMstGroupSyncBtn').click(function(){
				var syncDirection = $j('input[name="syncDirection"]:checked').val();
				var forceNoDoubleOptIn = $j('input[name="force_no_double_opt_in"]:checked').val();
				var forceNoWelcomeGoodbyeMsg = $j('input[name="force_no_welcome_goodbye_msg"]:checked').val();
				var url = 'index.php?option=com_mailster&controller=sync&task=doInitMstGroupSync&<?php echo MstConsts::PLUGIN_FLAG_NO_EXECUTION; ?>=true';	
				var data2send = '{ "task": "doInitMstGroupSync", "syncDirection": "'+syncDirection+'", "forceNoDoubleOptIn": "'+forceNoDoubleOptIn+'", "forceNoWelcomeGoodbyeMsg": "'+forceNoWelcomeGoodbyeMsg+'"}';
				$j('#initLog2').html('');
				$j('#doGroupInitSyncProgressIndicator').removeClass('mtrActivityIndicator').addClass('mtrActivityIndicator');	
			    $j.post(url, { mtrAjaxData: data2send },
				    function(resultData){
				         if(resultData){
					        var resultObject = eval(resultData)[0];
							if(resultObject.res == 'true'){
				       			$j('#doGroupInitSyncProgressIndicator').removeClass('mtrActivityIndicator');	
				       			$j('#initLog2').html(resultObject.initLogText);	
							}
				         }else{
				        	 alert(<?php echo $mstUtils->jsonEncode(JText::_( 'COM_MAILSTER_COULD_NOT_COMPLETE_AJAX_REQUEST' )); ?>);	           
				         }
					}
				);
			});
			
		});
		
		function submitbutton(task)
		{
			var form = document.adminForm;			
			if (task == 'cancel') // check we aren't cancelling
			{	// no need to validate, we are cancelling		
				submitform( task );
				return;
			}else{
				submitform( task );
			}
		}
</script>
<form enctype="multipart/form-data" action="index.php" method="post" name="adminForm" id="adminForm">	
	<table class="adminform" style="width:800px;">
	<?php if($plgUtils->isCBPluginInstalled()): ?>
		<tr><th colspan="2"><?php echo JText::_( 'COM_MAILSTER_COMMUNITY_BUILDER_SYNCHRONIZATION' ); ?></th><th></th><th>&nbsp;</th></tr>
		<tr>
			<td width="100px" style="text-align:right;" colspan="2"><?php echo JText::_( 'COM_MAILSTER_CB_BRIDGE_PLUGIN' ).':'; ?></td>
			<td width="200px" colspan="2"><?php echo $plgUtils->isCBPluginActive() ?  JText::_( 'COM_MAILSTER_ACTIVE' ) :  JText::_( 'COM_MAILSTER_INACTIVE' ); ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td colspan="5" style="border-bottom: 1px solid black;">&nbsp;</td>
		</tr>
		<tr>
			<td width="100px" style="text-align:right;" colspan="2"><?php echo JText::_( 'PLG_MAILSTER_CB_USER_STATE_SYNC_ACTIVE' ).':'; ?></td>
			<td width="200px" colspan="2"><?php echo JHTML::_('select.booleanlist', 'cb_user_state_sync_active', 'disabled="disabled"', $this->cb_status_sync_active); ?></td>
			<td><a href="<?php echo $this->cbBridgePluginLink; ?>" target="_blank" title="<?php echo JText::_('COM_MAILSTER_PLUGIN_SETTINGS'); ?>"><?php echo JText::_('COM_MAILSTER_CONFIGURE'); ?></a></td>
		</tr>
		<tr>
			<td width="100px" style="text-align:right;" colspan="2"><?php echo JText::_( 'PLG_MAILSTER_CB_USER_STATE' ).':'; ?></td>
			<td width="200px" colspan="2"><?php echo $this->lists['cb_status_sync_status_field']; ?></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td width="100px" style="text-align:left;" colspan="4"><?php echo JText::_( 'COM_MAILSTER_SYNCHRONIZATION_SETTINGS' ).':'; ?></td>
		</tr>
		<tr>
			<td width="100px" style="text-align:right;" colspan="2"><?php echo JText::_( 'COM_MAILSTER_USE_DOUBLE_OPT_IN' ).':'; ?></td>
			<td width="200px" colspan="3"><?php echo JHTML::_('select.booleanlist', 'force_no_double_opt_in', '', 0, JText::_('COM_MAILSTER_DO_NOT_USE_DOUBLE_OPT_IN'), JText::_('COM_MAILSTER_USE_INDIVIDUAL_LIST_SETTINGS')); ?></td>
		</tr>
		<tr>
			<td width="100px" style="text-align:right;" colspan="2"><?php echo JText::_( 'COM_MAILSTER_SEND_WELCOME_AND_GOODBYE_MESSAGES' ).':'; ?></td>
			<td width="200px" colspan="3"><?php echo JHTML::_('select.booleanlist', 'force_no_welcome_goodbye_msg', '', 0, JText::_('COM_MAILSTER_DO_NOT_SEND_WELCOME_AND_GOODBYE_MESSAGES'), JText::_('COM_MAILSTER_USE_INDIVIDUAL_LIST_SETTINGS')); ?></td>
		</tr>
		<tr>
			<td width="100px" style="text-align:right;vertical-align:top;" colspan="2"><?php echo JText::_( 'COM_MAILSTER_INITIAL_SYNCHRONIZATION' ).':'; ?></td>
			<td colspan="2"><?php echo JText::_( 'COM_MAILSTER_INITIAL_SYNCHRONIZATION_IN_THE_INITIAL_SYNCHRONIZATION_THE_CURRENT_USER_STATE_FOR_EACH_USER_IS_EXAMINED_IF_THIS_STATE_IS_THE_ONE_CHOSEN_IN_THE_CB_BRIDGE_PLUGIN_THEN_THE_ACTION_DEFINED_IN_THE_CB_BRIDGE_PLUGIN_IS_EXECUTED_AS_IF_THE_USER_HAD_CHANGED_INTO_THIS_STATE' ); ?></td>			
		</tr>
		<tr>
			<td width="100px" style="text-align:right;vertical-align:top;" colspan="2"><?php echo JText::_( 'COM_MAILSTER_INITIAL_SYNCHRONIZATION_CB_USER_STATE_SYNC_ACTION_IS_DONE_IN_REVERSE' ).':'; ?></td>
			<td width="200px" colspan="3"><?php echo JText::_( 'COM_MAILSTER_INITIAL_SYNCHRONIZATION_CB_USER_STATE_SYNC_ACTION_IS_DONE_IN_REVERSE_IF_SET_TO_YES_THEN_THE_INITIAL_SYNCHRONIZATION_PERFORMS_THE_ABOVE_AND_THE_ACTION_THAT_THE_CB_BRIDGE_PLUGIN_WOULD_REQUIRE_IF_THE_USER_HAD_CHANGED_OUT_OF_THIS_STATE' ); ?><br/><br/><?php echo JHTML::_('select.booleanlist', 'do_sync_action_in_reverse', 'title="'.JText::_( 'COM_MAILSTER_INITIAL_SYNCHRONIZATION_CB_USER_STATE_SYNC_ACTION_IS_DONE_IN_REVERSE_IF_SET_TO_YES_THEN_THE_INITIAL_SYNCHRONIZATION_PERFORMS_THE_ABOVE_AND_THE_ACTION_THAT_THE_CB_BRIDGE_PLUGIN_WOULD_REQUIRE_IF_THE_USER_HAD_CHANGED_OUT_OF_THIS_STATE' ).'"', 0); ?></td>
		</tr>
		<tr>
			<td colspan="4">&nbsp;</td>
			<td><div tabindex="-1" id="doUserStateInitSyncProgressIndicator" style="display:inline; margin:5px; padding-right:20px;min-height:30px;width:30px;">&nbsp;</div>
				<button id="initUserStateSyncBtn" type="button" style="padding:5px;"><?php echo JText::_( 'COM_MAILSTER_START_INITIAL_SYNCHRONIZATION' ); ?><br/><?php echo ' (' . JText::_( 'PLG_MAILSTER_CB_USER_STATE_SYNC' ) .')'; ?></button>
			</td>
		</tr>
		<tr>
			<td colspan="4"><pre id="initLog1" style="background-color:white;color:black;"></pre></td>
		</tr>
		<tr>
			<td colspan="5" style="border-bottom: 1px solid black;">&nbsp;</td>
		</tr> 
		<tr>
			<td width="100px" style="text-align:right;" colspan="2"><?php echo JText::_( 'PLG_MAILSTER_CB_USER_GROUP_SYNC_ACTIVE' ).':'; ?></td>
			<td width="200px" colspan="2"><?php echo JHTML::_('select.booleanlist', 'cb_user_group_sync_active', 'disabled="disabled"', $this->cb_user_group_sync_active); ?></td>
			<td><a href="<?php echo $this->cbBridgePluginLink; ?>" target="_blank" title="<?php echo JText::_('COM_MAILSTER_PLUGIN_SETTINGS'); ?>"><?php echo JText::_('COM_MAILSTER_CONFIGURE'); ?></a></td>
		</tr>
		<tr>
			<td width="100px" style="text-align:right;" colspan="2"><?php echo JText::_( 'PLG_MAILSTER_CB_USER_GROUP_FIELD' ).':'; ?></td>
			<td width="200px" colspan="2"><?php echo $this->lists['cb_user_group_field']; ?></td>
			<td>&nbsp;</td>
		</tr>
		<?php if($this->cb_user_group_field > 0): ?>
		<tr>
			<td width="100px" style="text-align:right;" colspan="2">&nbsp;</td>
			<td colspan="3"><?php echo JText::_( 'COM_MAILSTER_CHECK' ).':';  ?><table>
							<?php for($i=0;$i<count($this->allLinkedUserGroups);$i++){ ?>
									<tr>
										<td><?php echo $this->allLinkedUserGroups[$i]->name; ?></td>
										<td style="color:green;"><?php echo JText::_( 'COM_MAILSTER_LINKED' ); ?></td>
									</tr>
							<?php } ?>
							<?php for($i=0;$i<count($this->notLinkedUserGroups);$i++){ ?>
									<tr>
										<td><?php echo $this->notLinkedUserGroups[$i]->name; ?></td>
										<td style="color:orange;"><?php echo JText::_( 'COM_MAILSTER_NOT_LINKED' ) . ' (Mailster)'; ?></td>
									</tr>
							<?php } ?>
							<?php for($i=0;$i<count($this->notLinkedUserProfileFieldValues);$i++){ ?>
									<tr>
										<td><?php echo $this->notLinkedUserProfileFieldValues[$i]; ?></td>
										<td style="color:orange;"><?php echo JText::_( 'COM_MAILSTER_NOT_LINKED' ) . ' (Community Builder)'; ?></td>
									</tr>
							<?php } ?>							
							</table>
			</td>
		</tr>
		<?php endif; ?>
		<tr>
			<td width="100px" style="text-align:left;" colspan="4"><?php echo JText::_( 'COM_MAILSTER_SYNCHRONIZATION_SETTINGS' ).':'; ?></td>
		</tr>
		<tr>
			<td width="100px" style="text-align:right;vertical-align:top;" colspan="2"><?php echo JText::_( 'COM_MAILSTER_SYNCHRONIZATION_DIRECTION' ).':'; ?></td>
			<td colspan="2">
				<label for="cb2mailster">
					<input type="radio" name="syncDirection" value="cb2mailster" id="cb2mailster" checked="checked" />
					<?php echo JText::_( 'COM_MAILSTER_FROM_CB_FIELD_TO_MAILSTER_USER_GROUP' ); ?>
				</label><br/>
				<label for="mailster2cb">
					<input type="radio" name="syncDirection" value="mailster2cb" id="mailster2cb" />
					<?php echo JText::_( 'COM_MAILSTER_FROM_MAILSTER_USER_GROUP_TO_CB_FIELD' ); ?>
				</label>
			</td>
		</tr>
		<tr>
			<td width="100px" style="text-align:right;vertical-align:top;" colspan="2"><?php echo JText::_( 'COM_MAILSTER_INITIAL_SYNCHRONIZATION' ).':'; ?></td>
			<td colspan="2"><?php echo JText::_( 'PLG_MAILSTER_CB_USER_GROUP_SYNC_INITIAL_SYNCHRONIZATION_EXPLANATION_ONLY_THE_LINKED_GROUPS_CAN_WORK_DEPENDING_ON_THE_DIRECTION_EITHER_THE_INFORMATION_OF_CB_USER_PROFILES_ARE_USED_FOR_ADDING_USER_IN_MAILSTER_GROUPS_OR_IN_REVERSE' ); ?></td>			
		</tr>
		<tr>
			<td colspan="4">&nbsp;</td>
			<td><div tabindex="-1" id="doGroupInitSyncProgressIndicator" style="display:inline; margin:5px; padding-right:20px;min-height:30px;width:30px;">&nbsp;</div>
				<button id="initMstGroupSyncBtn" type="button" style="padding:5px;"><?php echo JText::_( 'COM_MAILSTER_START_INITIAL_SYNCHRONIZATION' ); ?><br/><?php echo ' (' . JText::_( 'PLG_MAILSTER_CB_USER_GROUP_SYNC' ) .')'; ?></button>
			</td>
		</tr>
		<tr>
			<td colspan="4"><pre id="initLog2" style="background-color:white;color:black;"></pre></td>
		</tr>
		<tr>
			<td colspan="5" style="border-bottom: 1px solid black;">&nbsp;</td>
		</tr>
<?php endif; ?>		
	</table>
	<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="option" value="com_mailster" />
	<input type="hidden" name="controller" value="sync" />
	<input type="hidden" name="view" value="sync" />
	<input type="hidden" name="task" value="doSync" />
</form>
	<?php
	//keep session alive while editing
	JHTML::_('behavior.keepalive');
	?>
