<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */
	
	defined( '_JEXEC' ) or die( 'Restricted access' );	
	$mstImgPath = 'components/com_mailster/assets/images/';	
	$page_sfx = $this->pageclass_sfx;
	
?>

<script language="javascript" type="text/javascript">
</script>
<div class="componentheading<?php echo $page_sfx; ?>"><h2><?php echo $this->title; ?></h2></div>
<?php 
	if(!$this->user->id){
		return;
	}
?>
<form name="adminForm" method="post" action="index.php?option=com_mailster&view=profile&task=saveDigest">
	<input type="hidden" name="bl" value="<?php echo $this->backLink; ?>" />
	<input type="hidden" name="listID" value="<?php echo $this->mList->id; ?>" />
	<input type="hidden" name="digestID" value="<?php echo $this->digest ? $this->digest->id : 0; ?>" />
	<div class="mailster_profile contentpane<?php echo $page_sfx; ?>">		
		<div class="mailster_profile_container<?php echo $page_sfx; ?>">
			<table class="mailster_profile_table<?php echo $page_sfx; ?> mailster_std_table">
				<tbody>
					<tr>
						<th width="50px">
							<label for="list_id">
								<?php echo JText::_( 'COM_MAILSTER_MAILING_LIST' ).':'; ?>
							</label>
						</th>
						<td width="100px">
							<?php echo $this->mList->name; ?>
						</td>
					</tr>
					<tr>
						<th width="50px">
							<label for="digest_freq">
								<?php echo JText::_( 'COM_MAILSTER_DIGEST_FREQUENCY' ).':'; ?>
							</label>
						</th>
						<td width="100px">
							<?php echo $this->lists['digest_freq']; ?>
						</td>
					</tr>
					<tr>
						<th width="50px">
							<label for="last_send_date">
								<?php echo JText::_( 'COM_MAILSTER_DIGEST_LAST_SENDING' ).':'; ?>
							</label>
						</th>
						<td width="100px">
							<?php echo $this->digest ? $this->digest->last_send_date : '-'; ?>
						</td>
					</tr>
					<tr>
						<td colspan="2" style="text-align:right">
							<input type="submit" id="saveDigest" name="saveDigest" value="<?php echo JText::_('COM_MAILSTER_SAVE'); ?>" />
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</form>	