<?php

	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined( '_JEXEC' ) or die( 'Restricted access' );
			
	if(!defined('DS')){
		define('DS',DIRECTORY_SEPARATOR); // For Joomla 3.0+
	}
	
	$inclPath = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_mailster'.DS.'mailster'.DS;
	
	// Get essential constants
	require_once($inclPath.'Consts.php');
	require_once($inclPath.'EventTypes.php');
	// Get our object factory
	require_once($inclPath.'Factory.php');
	// Get static MstRequest class	
	require_once($inclPath.'Request.php');
    // Version Management
    require_once($inclPath.'app'.DS.'VersionMgmt.php');
	// Get model parent class
	require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_mailster'.DS.'model_legacy.php');
	// Get model parent class
	require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_mailster'.DS.'model_admin.php');
?>
