<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	 
	defined('_JEXEC') or die('Restricted access');

    jimport('joomla.application.component.modeladmin');
    class MailsterAdminModel extends JModelAdmin
    {
        protected $canDo;
        function __construct(){
            $this->canDo = MstFactory::getAuthorization()->getActions();
            parent::__construct();
        }

        /**
         * Method to get the record form.
         *
         * @param	array	$data		Data for the form.
         * @param	boolean	$loadData	True if the form is to load its own data (default case), false if not.
         * @return	mixed	A JForm object on success, false on failure
         * @since	1.6
         */
        public function getForm($data = array(), $loadData = true)
        {
            // Get the form.
            $form = $this->loadForm('com_mailster', '', array('control' => 'jform', 'load_data' => $loadData));
            if (empty($form))
            {
                return false;
            }
            return $form;
        }
    }


?>
