<?php
	/**
	 * @package Joomla
	 * @subpackage Mailster
	 * @copyright (C) 2010 - 2016 Holger Brandt IT Solutions
	 * @license GNU/GPL, see license.txt
	 * Mailster is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License 2
	 * as published by the Free Software Foundation.
	 * 
	 * Mailster is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with Mailster; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
	 * or see http://www.gnu.org/licenses/.
	 */

	defined('_JEXEC') or die('Restricted access');

	/**
	 * Servers Model class
	 *
	 * @package Joomla
	 * @subpackage Mailster
	 */
	class mailster_servers extends JTable
	{
		/**
		 * Primary Key
		 * @var int
		 */
		var $id 				   	= null;
        var $published  		   	= null;
        var $provider_type		   	= null;
        var $user_edited		   	= null;
        var $name       		   	= null;
		var $server_type		   	= null;
		var $server_host			= null;
		var $server_port			= null;
		var $secure_protocol		= null;
		var $secure_authentication	= null;
		var $protocol			    = null;
		var $connection_parameter	= null;
		var $api_key1	    		= null;
		var $api_key2		    	= null;
		var $api_endpoint	    	= null;
		
		function mailster_servers(&$db) {
			parent::__construct('#__mailster_servers', 'id', $db);
		}

        function check(){
            //$log = MstFactory::getLogger();
            //$log->debug('mailster_servers->check() this: '.print_r($this, true));
            return true;
        }
	}
?>
